<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>PDUFLEX</title>
    <link rel="icon" type="image/png" href="https://www.freefavicon.com/freefavicons/letters/wood-texture-alphabet-p-152-299956.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <link rel="stylesheet" href="https://bootswatch.com/4/spacelab/bootstrap.min.css" />
    <script src="https://unpkg.com/gijgo@1.9.11/js/gijgo.min.js" type="text/javascript"></script>
    <link href="https://unpkg.com/gijgo@1.9.11/css/gijgo.min.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="main.css" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous" />
    <script src="funciones.js"></script>
</head>

<body>
    <header>
        <h2 class="display-4 text-center bg-light text-dark">
            PDUFLEX <i class="fas fa-calculator"></i>
        </h2>
    </header>

    <main>
        <div class="container" id="alert" name="arriba">

        </div>

        <div class="container" name="formulario">
            <div class="row">
                <div class="col-1"></div>
                <div class="col-10">
                    <div class="form-group">
                        <label for="prestamo">Monto del préstamo*</label>
                        <input type="number" name="prestamo" id="prestamo" class="form-control" min="0" required />
                    </div>
                    <div class="form-group">
                        <label for="plazo">Plazo*</label>
                        <input class="form-control" type="number" name="plazo" id="plazo" placeholder="Introduce el plazo" min="1" step="1" required />
                        <label for="unidad" id="unidad">Unidad: </label>
                        <div class="form-check form-check-inline">
                            <label class="form-check-label">
									<input
										class="form-check-input"
										type="radio"
										name="inlineRadioOptions"
										id="inlineRadio1"
										value="1"
										checked
									/>
									Meses
								</label>
                        </div>
                        <div class="form-check form-check-inline">
                            <label class="form-check-label">
									<input
										class="form-check-input"
										type="radio"
										name="inlineRadioOptions"
										id="inlineRadio2"
										value="2"
									/>
									Años
								</label>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="formapago">Forma de Pago*</label>
                            <select name="formapago" id="formapago" class="custom-select" onchange="cargardiaDepago(this.value); cargarVector(this.value);" required>
									<option value="0">Elige una opcion</option>
									<option value="1">Semanal</option>
									<option value="2">Quincenal</option>
									<option value="3">Mensual</option>
									<option value="4">Bimestral</option>
									<option value="5">Trimestral</option>
								</select>
                        </div>
                        <div class="form-group col-md-6" id="input_dia_pago" required></div>
                    </div>
                    <div class="form-group">
                        <label for="tasaanual">Tasa anual%*</label>
                        <input type="number" name="tasaanual" id="tasaanual" class="form-control" required />
                        <label for="unidad" id="unidad">Tipo: </label>
                        <div class="form-check form-check-inline">
                            <label class="form-check-label">
									<input
										class="form-check-input"
										type="radio"
										name="inlineRadioOptions1"
										id="inlineRadio1.1"
										value="1"
										checked
									/>
									Nominal
								</label>
                        </div>
                        <div class="form-check form-check-inline">
                            <label class="form-check-label">
									<input
										class="form-check-input"
										type="radio"
										name="inlineRadioOptions1"
										id="inlineRadio2.1"
										value="2"
									/>
									Efectiva
								</label>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="fechaDesembolso">Fecha de desembolso*</label>
                            <input type="date" name="fechaDesembolso" id="fechaDesembolso" class="form-control" required />
                            <small id="fecha0" class="form-text text-muted">
									Fecha en que hace el retiro del préstamo.
								</small>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="fechaPrimeraCuota">Fecha de 1° cuota</label>
                            <input type="date" name="fechaPrimeraCuota" id="fechaPrimeraCuota" class="form-control" />
                            <small id="fecha1" class="form-text text-muted">
									Esta fecha es opcional, si no selecciona nada, el sistema generará la primera cuota
									automáticamente.
								</small>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="mesEspecial">Meses especiales</label>
                            <select name="mesEspecial" id="mesEspecial" class="form-control">
									<option value="12">Elige un mes</option>
									<option value="0">Enero</option>
									<option value="1">Febrero</option>
									<option value="2">Marzo</option>
									<option value="3">Abril</option>
									<option value="4">Mayo</option>
									<option value="5">Junio</option>
									<option value="6">Julio</option>
									<option value="7">Agosto</option>
									<option value="8">Septiembre</option>
									<option value="9">Octubre</option>
									<option value="10">Noviembre</option>
									<option value="11">Diciembre</option>
								</select>
                        </div>
                        <div class="form-group col-md-4" id="vectores"></div>
                        <div class="form-group col-md-4">
                            <label for="guardar"> </label>
                            <br />
                            <button name="guardar" class="btn btn-light" id="guardar" onclick="guardar_mes_especial()" disabled>
									Guardar
								</button>
                        </div>
                    </div>
                    <div class="form-group text-center">
                        <div id="mesespecial"></div>
                    </div>
                    <div>

                        <div class="container mb-3">
                            <small class="form-text text-muted">
                                       (*) Campos obligatorios
                                    </small>
                        </div>
                        <div class="container">
                            <div class="row">
                                <div class="col-md-3"></div>
                                <div class="col-md-6 text-center">
                                    <a name="calcularcuotas" class="btn btn-block btn-primary" id="calcularcuotas" type="submit" href="#abajo">
											Calcular Cuotas
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-3 p-4"></div>
                        </div>
                    </div>
                    <div id="cantidadcuotas" class="p-4"></div>
                    <div id="importes" class="p-4"></div>
                </div>
            </div>
        </div>
    </main>
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">Abrir un nuevo formulario</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
                </div>
                <div class="modal-body">
                    ¿Está seguro de que quiere abrir un nuevo formulario?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                    <a type="button" class="btn btn-primary" href="index.html" target="blank">Si</a>
                </div>
            </div>
        </div>
    </div>
    <a name="abajo"></a>
    <script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>

</html>